## org.eclipse.uml2.uml.edit.providers
Class InitialNodeItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.ecore.provider.EModelElementItemProvider
                  org.eclipse.uml2.uml.edit.providers.ElementItemProvider
                      org.eclipse.uml2.uml.edit.providers.NamedElementItemProvider
                          org.eclipse.uml2.uml.edit.providers.RedefinableElementItemProvider
                              org.eclipse.uml2.uml.edit.providers.ActivityNodeItemProvider
                                  org.eclipse.uml2.uml.edit.providers.ControlNodeItemProvider
                                      org.eclipse.uml2.uml.edit.providers.InitialNodeItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemFontProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, IItemQualifiedTextProvider

    public class InitialNodeItemProvider

extends ControlNodeItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemFontProvider

This is the item provider adapter for a `InitialNode` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.provider.EModelElementItemProvider
`org.eclipse.emf.ecore.provider.EModelElementItemProvider.ItemPropertyDescriptorWithUniqueChoiceOfValueLabels`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

Constructor Summary
`InitialNodeItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`protected void` `collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` This adds `CommandParameter`s describing the children that can be created under this object
`java.lang.Object` `getImage(java.lang.Object object)` This returns InitialNode.gif
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`
`protected boolean` `shouldComposeCreationImage()`

Methods inherited from class org.eclipse.uml2.uml.edit.providers.ActivityNodeItemProvider
`addActivityPropertyDescriptor, addIncomingPropertyDescriptor, addInGroupPropertyDescriptor, addInInterruptibleRegionPropertyDescriptor, addInPartitionPropertyDescriptor, addInStructuredNodePropertyDescriptor, addOutgoingPropertyDescriptor, addRedefinedNodePropertyDescriptor`

Methods inherited from class org.eclipse.uml2.uml.edit.providers.RedefinableElementItemProvider
`addIsLeafPropertyDescriptor, addRedefinedElementPropertyDescriptor, addRedefinitionContextPropertyDescriptor`

Methods inherited from class org.eclipse.uml2.uml.edit.providers.NamedElementItemProvider
`addClientDependencyPropertyDescriptor, addNameExpressionPropertyDescriptor, addNamePropertyDescriptor, addNamespacePropertyDescriptor, addQualifiedNamePropertyDescriptor, addVisibilityPropertyDescriptor, composeVisibilityImage, getChildFeature, getChildrenFeatures, getComposedImage`

Methods inherited from class org.eclipse.uml2.uml.edit.providers.ElementItemProvider

`addOwnedCommentPropertyDescriptor, addOwnedElementPropertyDescriptor, addOwnerPropertyDescriptor, appendKeywords, appendLabel, appendString, appendType, appendType, createCommand, createItemPropertyDescriptor, getChildren, getCreateChildImage, getFeatureText, getForeground, getNewChildDescriptors, getParent, getQualifiedText, getResourceLocator, getStereotypeApplicationPropertyDescriptor, getStereotypeApplicationPropertyDescriptors, getTypeText, overlayImage, shouldAppendType, shouldTranslate`

Methods inherited from class org.eclipse.emf.ecore.provider.EModelElementItemProvider
`stripToNull`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureValue, getFont, getFont, getForeground, getImage, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`getFont`

Constructor Detail

### InitialNodeItemProvider

    public InitialNodeItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `ControlNodeItemProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns InitialNode.gif.

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### shouldComposeCreationImage

    protected boolean shouldComposeCreationImage()

  Overrides:
    `shouldComposeCreationImage` in class `ControlNodeItemProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `ControlNodeItemProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `ControlNodeItemProvider`

### collectNewChildDescriptors

    protected void collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors,
                                              java.lang.Object object)

  This adds `CommandParameter`s describing the children that can be created under this object.

  Overrides:
    `collectNewChildDescriptors` in class `ControlNodeItemProvider`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.